#pam #sys #linux

sys pam-sys

FFI wrappers for the Linux Pluggable Authentication Modules (PAM)

26 releases

0.5.6 Jul 4, 2018
0.5.5 Mar 21, 2018
0.5.4 Nov 30, 2017
0.5.3 Feb 18, 2017
0.0.4 Mar 29, 2015

#32 in Unix APIs

Download history 28/week @ 2018-05-04 26/week @ 2018-05-11 29/week @ 2018-05-18 50/week @ 2018-05-25 105/week @ 2018-06-01 6/week @ 2018-06-08 154/week @ 2018-06-15 30/week @ 2018-06-22 215/week @ 2018-06-29 25/week @ 2018-07-06 36/week @ 2018-07-13 74/week @ 2018-07-20 50/week @ 2018-07-27

259 downloads per month

pam-sys Version License Build Status

Rust FFI wrappers for the Linux Pluggable Authentication Modules (PAM).

Documentation @ docs.rs

Supported Rust versions

The library is only continuously built against Rust stable, beta and nightly but as it does not use a lot of new language features it should probably compile on older versions as well. If you encounter problems building on older versions and a small fix can be applied to make the build succeed, consider opening a pull request.

License

Licensed under either of

at your option.

Contribution

Unless you explicitly state otherwise, any contribution intentionally submitted for inclusion in the work by you, as defined in the Apache-2.0 license, shall be dual licensed as above, without any additional terms or conditions.

MIT OR Apache-2.0 license

Dependencies

  • libc 0.2.39
  • links pam
  • build build.rs

Reverse deps